{ lib, pkgs, ... }:

with lib.metacfg;
{
  homebrew = {
    enable = true;
    brews = [
      "libusb"
      "mas"
    ];
    masApps = { };
    onActivation = {
      cleanup = "zap";
      autoUpdate = true;
      upgrade = true;
    };
  };

  metacfg = {
    system.homebrew = enabled;
    suites = {
      common = enabled;
    };
    tools = {
      direnv.enable = true;
      alacritty.enable = true;
    };
  };

  environment.systemPackages = with pkgs; [
    kubectl
    kubectx
    k9s
    attic-client
    imagemagick
    gh
    libvirt
    dnsmasq
    virt-manager
    qemu
    claude-code
    nodejs
    goose-cli
    aider-chat
    fabric-ai
  ];

  users.users.harald.shell = pkgs.fish;

  ids.gids.nixbld = 350;
  system.stateVersion = 4;
}
